var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import { h } from '@stencil/core';
import { applyProps } from '../common';
const applyClasses = (mobile, tablet, desktop, inlineBlock) => {
    const classes = [];
    classes.push('ui-breakpoint');
    if (inlineBlock) {
        classes.push('ui-breakpoint-inline-block');
    }
    if (mobile) {
        classes.push('ui-breakpoint-mobile');
    }
    if (tablet) {
        classes.push('ui-breakpoint-tablet');
    }
    if (desktop) {
        classes.push('ui-breakpoint-desktop');
    }
    return classes.join(' ');
};
const Breakpoint = (_a, children) => {
    var { mobile = true, tablet = true, desktop = true, inlineBlock = false } = _a, props = __rest(_a, ["mobile", "tablet", "desktop", "inlineBlock"]);
    return h("div", Object.assign({}, applyProps(props, { class: applyClasses(mobile, tablet, desktop, inlineBlock) })), children);
};
export default Breakpoint;
